
<p align="center"><img src="https://opensource.dropbox.com/assets/logo.png" alt="open source logo" width="150" /></p>


<h1 align="center">Dropbox Open Source Code of Conduct</h1>
<p align="center">Dropbox believes that an inclusive development environment fosters greater technical achievement. To encourage a diverse group of contributors we've adopted this code of conduct.</p>



## The Code
The list of ground rules are by no means exhaustive, instead they should be used as a guide when participating in or contributing to an open source project maintained by Dropbox.

- **Be friendly and patient.**
- **Be welcoming.** We strive to be a community that welcomes and supports people of all backgrounds and identities. This includes, but is not limited to members of any race, ethnicity, culture, national origin, colour, immigration status, social and economic class, educational level, sex, sexual orientation, gender identity and expression, age, size, family status, political belief, religion, and mental and physical ability.
- **Be considerate.** Your work will be used by other people, and you in turn will depend on the work of others. Remember that we're a world-wide community, so you might not be communicating in someone else's primary language.
- **Be respectful.** We might all experience some frustration now and then, but we cannot allow that frustration to turn into a personal attack. It's important to remember that a community where people feel uncomfortable or threatened is not a productive one. Members of the Dropbox open source community should be respectful when dealing with one another.
- **Be careful in the words that you choose.** We are a community of professionals, and we conduct ourselves professionally. Be kind to others. Do not insult or put down other participants. Harassment and other exclusionary behavior aren't acceptable. This includes, but is not limited to:
  - Violent threats or language directed against another person.
  - Discriminatory jokes and language.
  - Posting sexually explicit or violent material.
  - Posting (or threatening to post) other people's personally identifying information ("doxing").
  - Personal insults, especially those using racist or sexist terms.
  - Unwelcome sexual attention.
  - Advocating for, or encouraging, any of the above behavior.
  - Repeated harassment of others. In general, if someone asks you to stop, then stop.

## Reporting Issues
If you believe someone is violating the code of conduct, we ask that you [report it to us](https://goo.gl/forms/sCD2o33YQW4NInhr2). All reports will be handled with discretion. If you believe anyone is in physical danger, please notify appropriate law enforcement first. After evaluating the report we will make a decision of how to respond, which can include asking (or requiring) anyone who violates this policy to leave the Dropbox open source community.

## Attribution
This code of conduct is based on the [Open Code of Conduct](http://todogroup.org/opencodeofconduct/) and the [Django Code of Conduct](https://www.djangoproject.com/conduct/).
